import type { AppRouteModule } from '/@/router/types'

import { LAYOUT } from '/@/router/constant'
import { t } from '/@/hooks/web/useI18n'

const main: AppRouteModule = {
    path: '/main',
    name: 'Main',
    component: LAYOUT,
    redirect: '/main/index',
    meta: {
        orderNo: 10,
        icon: 'ion:grid-outline',
        title: t('routes.main.main'),
    },
    children: [
        {
            path: 'index',
            name: 'Index',
            component: () => import('/@/views/main/index.vue'),
            meta: {
                title: t('routes.main.main'),
            },
        },
    ],
}

export default main
